:: This is a sample script that copies a JPEG image 
:: created on FXC to a remote Web server. If desired, 
:: the user can subsequently replace the uploaded FXC 
:: image with a default image. Requires access to 
:: pscp (download fromwww.putty.nl/download.html).
::
:: Usage: sendToWeb open
::        sendToWeb close
::
:: Author: Herb Grote
:: Date: 11/5/03

@echo off

set string=abcdefgh
set source=..\data\depictables\images\Scratch\GraphiCast.jpg
set target=smith@computer:/d-2d/fx-alpha/public_html/FXC/Active_Screen.jpg
set WebDefault=smith@computer:/d-2d/fx-alpha/public_html/FXC/FXC_Screen.jpg

:: Copy FXC screen image to remote Web server
if [%1]==[open] d:\PuttyUtil\pscp -batch -q -pw %string% %source% %target%

:: Replace image on Web server with default image
if [%1]==[close] d:\PuttyUtil\pscp -batch -q -pw %string% %WebDefault% .\FXC000.jpg
if [%1]==[close] d:\PuttyUtil\pscp -batch -q -pw %string% .\FXC000.jpg %target%
if exist FXC000.jpg del FXC000.jpg