#!/bin/csh 

# JUST A TEST SCRIPT THAT ECHOS the ARGS it receives.


# NOTES:
# ARGV[1] performs a sed substitution, This was need since the way this script is called
# from the java code so as not to introduce any additional arguments due to space in the
# the first argument

set RUN_PUFF_CSH_LOG_FILE = $LOG_DIR/runPUFF_csh.LOG

# sleep 3

echo " " >> $RUN_PUFF_CSH_LOG_FILE
echo " " 
echo "----------------------------------------------------------------------------" >> $RUN_PUFF_CSH_LOG_FILE
echo "--------------------------------------------------------"
echo "STARTING THE runPUFF.csh TEST SCRIPT" >> $RUN_PUFF_CSH_LOG_FILE 
echo "STARTING THE runPUFF.csh TEST SCRIPT"
echo `date` >> $RUN_PUFF_CSH_LOG_FILE
echo `date`
echo "----------------------------------------------------------------------------" >> $RUN_PUFF_CSH_LOG_FILE
echo "--------------------------------------------------------"

      set SCRIPT = "$argv[0]"             #runPUFF.csh script
      echo "ARGV[0] SCRIPT Name: $SCRIPT" >>  $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[0] SCRIPT Name: $SCRIPT"

#    This replaces any 5 char sequence #^#+# with a blank space.
#      set VOLCANO = "$argv[1]"             #volcano name
      set VOLCANO = `echo $argv[1] | sed 's/#^#+#/ /g'`
      echo "ARGV[1] VOLCANO: $VOLCANO" >> $RUN_PUFF_CSH_LOG_FILE
        echo "ARGV[1] VOLCANO: $VOLCANO"

      set TIME = "$argv[2] $argv[3] $argv[4] ${argv[5]}:00"       #eruptDate  
      echo "ARGV[2]-ARGV[5] EruptStartTime: $TIME" >> $RUN_PUFF_CSH_LOG_FILE
        echo "ARGV[2]-ARGV[5] EruptStartTime: $TIME"

      set LMS = "$argv[6]"                 #ashLogMean -- 
      echo "ARGV[6] ash LogMeanSize (-5, log10m): $LMS" >> $RUN_PUFF_CSH_LOG_FILE
        echo "ARGV[6] ash LogMeanSize (-5, log10m): $LMS"

      set SIGMA = "$argv[7]"               #ashLogSdev -- 
      echo "ARGV[7] ash Sigma stddev (1, no units): $SIGMA" >> $RUN_PUFF_CSH_LOG_FILE
        echo "ARGV[7] ash Sigma stdev (1, no units): $SIGMA"

      set PHIDIST = "$argv[8]"              #phiDist -- not used in version 2.0
      echo "ARGV[8] PHI Distribution (n/a puff 2.0): $PHIDIST" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[8] PHI Distribution (n/a puff 2.0): $PHIDIST"

      set SIMHRS = "$argv[9]"              #runHours
      echo "ARGV[9] Simulation (24, hours): $SIMHRS" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[9] Simulation (24, hours): $SIMHRS"

      set ERUPTHRS = "$argv[10]"           #eruptHours
      echo "ARGV[10] Eruption (2, hours): $ERUPTHRS" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[10] Eruption (2, hours): $ERUPTHRS"

      set SAVEHRS = "$argv[11]"            #saveHours
      echo "ARGV[11] Save Every (6, hours): $SAVEHRS" >> $RUN_PUFF_CSH_LOG_FILE 
	echo "ARGV[11] Save Every (6, hours): $SAVEHRS"

      set NUMPARTS = "$argv[12]"           #nAsh
      echo "ARGV[12] # Particles (3000): $NUMPARTS" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[12] # Particles (3000): $NUMPARTS"

      set PHEIGHT = "$argv[13]"            #plumeMax
      echo "ARGV[13] Plume Height (16000, meters ? km): $PHEIGHT" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[13] Plume Height (16000, meters ? km): $PHEIGHT"

      set PBOTTOM = "$argv[14]"            #plumeMin
      echo "ARGV[14] Plume Bottom (0, meters ? km): $PBOTTOM" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[14] Plume Bottom (0, meters ? km): $PBOTTOM"

      set PWIDTH = "$argv[15]"             #plumeHwidth
      echo "ARGV[15] Plume Width, H Width (0, kilometers): $PWIDTH" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[15] Plume Width, H Width (0, kilometers): $PWIDTH"

      set PTHICK = "$argv[16]"             #plumeZwidth--only makes sense for non-linear plume shapes.
      echo "ARGV[16] Plume Thickness, Z Width (3, kilometers): $PTHICK" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[16] Plume Thickness, Z Width (3, kilometers): $PTHICK"

      set HDIFF = "$argv[17]"              #diffuseH
      echo "ARGV[17] Horizontal Diffusion H (20000, m2/sec): $HDIFF" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[17] Horizontal Diffusion H (20000, m2/sec): $HDIFF"

      set VDIFF = "$argv[18]"              #diffuseZ
      echo "ARGV[18] Vertical Diffusion Z (10, m2/sec): $VDIFF" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[18] Vertical Diffusion Z (10, m2/sec): $VDIFF"

      set PSHAPE = "$argv[19]"             #plumeShape
      echo "ARGV[19] Plume Shape (linear): $PSHAPE" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[19] Plume Shape (linear): $PSHAPE"

      set RESTARTFILE = "$argv[20]"        #restartFile -- option not used
      echo "ARGV[20] restart file (not used): $RESTARTFILE" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[20] restart file (not used): $RESTARTFILE"

      set DTMINS = "$argv[21]"             #dtMins
      echo "ARGV[21] dtMins (5, minutes): $DTMINS" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[21] dtMins (5, minutes): $DTMINS"

      set SITE = "$argv[22]"               #site where puff is running.  I.E. AVO, AAWU, etc...
      echo "ARGV[22] Site ID running puff: $SITE" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[22] Site ID runing puff: $SITE"

#    This replaces any 5 char sequence #^#+# with a blank space.
#      set USERARGS = "$argv[23]"           #arguments that the user specifies
      set USERARGS = `echo $argv[23] | sed 's/#^#+#/ /g'`
      echo "ARGV[23] Additional Arguments: $USERARGS" >> $RUN_PUFF_CSH_LOG_FILE
	echo "ARGV[23] Additonal Arguments: $USERARGS"

exit(0)
